import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import axios from "axios";

Vue.config.productionTip = false;

import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import locale from "element-ui/lib/locale/lang/zh-CN";
// 引入dayjs库
import dayjs from "dayjs";
Vue.use(ElementUI, { locale });

//拖拽注册
import "./utils/directive";

Vue.use(ElementUI, { locale });
Vue.prototype.axios = axios;
Vue.prototype.$dayjs = dayjs;

//路由拦截
router.beforeEach((to, from, next) => {
  if (to.path === '/login') {
    next();
  } else {
    if (to.meta.requireAuth && !localStorage.getItem('Authorization')) {
      next({ path: '/login' });
    } else {
      next();
    }
  }
})

new Vue({
  router,
  store,
  render: (h) => h(App),
  // 全局事件总线
  beforeCreate() {
    Vue.prototype.$bus = this;
  },
}).$mount("#app");
